package com.fastest.pass.signup.data.repository

import com.fastest.pass.app.WebResponse
import com.fastest.pass.signup.data.model.SignupRequest
import com.fastest.pass.signup.data.model.SignupResponse
import com.fastest.pass.signup.data.remote.SignupApiService
import com.fastest.pass.signup.domain.repository.SignupRepository
import javax.inject.Inject

class SignupRepositoryImpl @Inject constructor(
    private val signupApiService: SignupApiService
) : SignupRepository{
    override suspend fun signupRepository(signupRequest: SignupRequest): WebResponse<SignupResponse> {
        return signupApiService.signup(signupRequest)
    }
}