package com.fastest.pass.browse.di

import com.fastest.pass.browse.utils.BrowseNavigation
import com.fastest.pass.browse.utils.NewItemBrowseNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object NewItemBrowseModule {

    @Provides
    @Singleton
    fun provideNavigation() : NewItemBrowseNavigation {
        return NewItemBrowseNavigation()
    }
}