package com.fastest.pass.home.data.repository

import com.fastest.pass.app.WebResponse
import com.fastest.pass.home.data.model.NewItemFormRequest
import com.fastest.pass.home.data.model.NewItemFormResponse
import com.fastest.pass.home.data.remote.NewItemFormApiService
import com.fastest.pass.home.domain.repository.NewItemFormRepository

class NewItemFormRepositoryImpl(
    private val newItemFormApiService: NewItemFormApiService
) : NewItemFormRepository {
    override suspend fun newItemFormRepository(
        vault: String,
        newItemFormRequest: NewItemFormRequest
    ): WebResponse<NewItemFormResponse> {
        return newItemFormApiService.newItemForm(vault, newItemFormRequest)
    }
}