package com.fastest.pass.mastersignup.di

import com.fastest.pass.mastersignup.utils.MasterSignUpNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object MasterSignUpModule {

    @Provides
    @Singleton
    fun provideNavigation() : MasterSignUpNavigation {
        return MasterSignUpNavigation()
    }
}